tell application "Merlin"
	
	activate
	set myselection to selected object of main window of document 1 
		as list
	
	if (count of myselection) is 0 then
		display dialog "Please select the activities you would like to handle." buttons {"OK"}
	else
		
		set doc to the first document
		set proj to root project of doc
		set TheMerlinProj to title of proj
		
		set allActivities to myselection
		
		tell application "Timeline 3D" to set doc to make new document
		-- if you want the script to be inserting tasks into an existing time line
		-- comment above row and uncomment selection of first document
		--tell application "Timeline 3D" to set doc to first document
		
		repeat with act in allActivities
			set TheTitle to title of act as text
			if class of act is activity then
				try
					set TheDueDate to (planned start date of act) as date
				on error
					set TheDueDate to (expected start date of act) as date
				end try
				try
					
					set TheDueEnd to (planned end date of act) as date
				on error
					set TheDueEnd to (expected end date of act) as date
				end try
				
				
				
				
				-- create the to dos in Timelime 3D
				tell application "Timeline 3D"
					tell doc
						make new event with properties {name:TheTitle, starting date:TheDueDate, ending date:TheDueEnd, notes:TheMerlinProj}
						
					end tell
				end tell
				
				
				
			end if
		end repeat
		
	end if
end tell
